// Code generated by ent, DO NOT EDIT.

package predicate

import (
	"entgo.io/ent/dialect/sql"
)

// Chat is the predicate function for chat builders.
type Chat func(*sql.Selector)

// ChatRoom is the predicate function for chatroom builders.
type ChatRoom func(*sql.Selector)

// Post is the predicate function for post builders.
type Post func(*sql.Selector)

// Profile is the predicate function for profile builders.
type Profile func(*sql.Selector)
